/**
 * Error responses
 */
module.exports.internalServerError = (msg) => ({ 
  statusCode: 500,
  body: JSON.stringify(
    { 
      name: 'InternalServerError',
      message: msg
    }
  )
});

module.exports.notFoundError = (msg) => ({ 
  statusCode: 404,
  body: JSON.stringify(
    { 
      name: 'NotFoundError',
      message: msg
    }
  )
});

module.exports.validationError = (msg) => ({
  statusCode: 400,
  body: JSON.stringify(
    {
      name: 'ValidationError',
      message: msg
    }
  )
});